Name:		python-pychart
Version:	1.39
Release:	%mkrel 10
License:	GPLv2+
Group:		Development/Python
Summary:	Python library for generating chart images
URL:		http://home.gna.org/pychart/
# This is the good upstream source. Unfortunately, we need to remove the dot to make latex2html happy.
# Source0:	http://download.gna.org/pychart/PyChart-%{version}.tar.gz
Source0:	PyChart-1_39.tar.gz
BuildArch:	noarch
Patch0:		pychart-1.39-mkhowto.patch
Patch1:         pychart-1.39-optparse.patch

%description
PyChart is a Python library for creating high quality Encapsulated Postscript,
PDF, PNG, or SVG charts. It currently supports line plots, bar plots, 
range-fill plots, and pie charts. Because it is based on Python, you can make 
full use of Python's scripting power.

%package doc
Summary: Documentation for using pychart in python programs
Group: Documentation
Requires: %{name} = %{version}-%{release}

%description doc
PyChart is a Python library for creating high quality Encapsulated Postscript,
PDF, PNG, or SVG charts. It currently supports line plots, bar plots,
range-fill plots, and pie charts. Because it is based on Python, you can make
full use of Python's scripting power.

Install this package if you want the developers' documentation and examples
that tell you how to program with the pychart library.

%prep
%setup -q -n PyChart-1_39 -T -b 0
%autopatch -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root=%{buildroot}

%files
%doc COPYING
%{python_sitelib}/pychart/
%{python_sitelib}/PyChart-*.egg-info


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.39-10.mga6
+ Revision: 943545
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.39-9.mga5
+ Revision: 746619
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.39-8.mga5
+ Revision: 729448
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.39-7.mga5
+ Revision: 688241
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.39-5.mga4
+ Revision: 543979
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.39-4.mga4
+ Revision: 499158
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.39-3.mga3
+ Revision: 379310
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 17 2011 fwang <fwang> 1.39-2.mga2
+ Revision: 125382
- update group

* Sun Jul 17 2011 fwang <fwang> 1.39-1.mga2
+ Revision: 125287
- imported package python-pychart

